
Redmine - Defect #18945

new user page showing 500 error

2015-01-24 07:58 - sushil kumar

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.1

Description

500 internal server error for both "new user registration" tab and "my account" tab

ActionView::Template::Error (undefined method `name' for nil:NilClass):

8:      ) >

9: </p>

10: <= content_tag 'div', :id => 'notified-projects', :style => (@user.mail_notification == 'selected' ? '' : 'display:none;') do >

11:   <= render_project_nested_lists(@user.projects) do |project|

12:         content_tag('label',

13:           check_box_tag(

14:             'user[notified_project_ids][]',

app/helpers/application_helper.rb:268:in `render_project_nested_lists'

app/views/users/_mail_notifications.html.erb:11:in `block in app_views_users_mail_notifications_html_erb__192379183_49062580'

app/views/users/_mail_notifications.html.erb:10:in `_app_views_users__mail_notifications_html_erb__192379183_49062580'

app/views/my/account.html.erb:38:in `block in app_views_my_account_html_erb_35267432_49329300'

app/helpers/application_helper.rb:1056:in `labelled_form_for'

app/views/my/account.html.erb:9:in `_app_views_my_account_html_erb__35267432_49329300'

Related issues:

Related to Redmine - Feature #18947: Ruby 2.2 support Closed

Related to Redmine - Defect #18936: ActionView::Template::Error (undefined me... Closed

History

#1 - 2015-01-24 22:05 - Vincent Gerris

sushil kumar wrote:

500 internal server error for both "new user registration" tab and "my account" tab

ActionView::Template::Error (undefined method `name' for nil:NilClass):

8:      ) >

9: </p>

10: <= content_tag 'div', :id => 'notified-projects', :style => (@user.mail_notification == 'selected' ? '' : 'display:none;') do >

11:   <= render_project_nested_lists(@user.projects) do |project|

12:         content_tag('label',

13:           check_box_tag(

14:             'user[notified_project_ids][]',

app/helpers/application_helper.rb:268:in `render_project_nested_lists'

app/views/users/_mail_notifications.html.erb:11:in `block in app_views_users_mail_notifications_html_erb__192379183_49062580'

app/views/users/_mail_notifications.html.erb:10:in `_app_views_users__mail_notifications_html_erb__192379183_49062580'

app/views/my/account.html.erb:38:in `block in app_views_my_account_html_erb_35267432_49329300'

app/helpers/application_helper.rb:1056:in `labelled_form_for'

app/views/my/account.html.erb:9:in `_app_views_my_account_html_erb__35267432_49329300'

 I have the same issue. It is caused by Ruby 2.2.0. When reverting to 2.1.5 it works.

Hopefully this will be fixed.

#2 - 2015-01-25 10:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Ruby 2.2 will be supported in Redmine 3.0
#3 - 2015-01-25 10:18 - Jean-Philippe Lang

- Related to Feature #18947: Ruby 2.2 support added

#4 - 2015-04-02 15:35 - Toshi MARUYAMA

- Related to Defect #18936: ActionView::Template::Error (undefined method `name' for nil:NilClass) rendering issue pages after upgrade to 2.6.1

stable added
